Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.ape
Class LexiconEntry

    java.lang.Object
      ch.uzh.ifi.attempto.ape.LexiconEntry

    public class LexiconEntry

extends java.lang.Object

This class represents a single lexicon entry.

Author:
  Tobias Kuhn, Kaarel Kaljurand

Method Summary
`static LexiconEntry` | `createAdjCompEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the comparative form of an adjective, for example "richer".
`static LexiconEntry` | `createAdjEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the positive form of an adjective, for example "rich".
`static LexiconEntry` | `createAdjSupEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the superlative form of an adjective, for example "richest".
`static LexiconEntry` | `createAdvCompEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the comparative form of an adverb, for example "faster".
`static LexiconEntry` | `createAdvEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the positive form of an adverb, for example "manually" or "fast".
`static LexiconEntry` | `createAdvSupEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the superlative form of an adverb, for example "fastest".
`static LexiconEntry` | `createDitrVerbInfEntry(java.lang.String wordForm, java.lang.String symbol, java.lang.String preposition)` Creates a new lexicon entry that defines the bare infinitive form of a ditransitive verb, for example "give".
`static LexiconEntry` | `createDitrVerbPPEntry(java.lang.String wordForm, java.lang.String symbol, java.lang.String preposition)` Creates a new lexicon entry that defines the past participle form of a ditransitive verb, for example "given".
`static LexiconEntry` | `createDitrVerbThirdEntry(java.lang.String wordForm, java.lang.String symbol, java.lang.String preposition)` Creates a new lexicon entry that defines the third singular form of a ditransitive verb, for example "gives".
`static LexiconEntry` | `createItrVerbInfEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the bare infinitive form of an intransitive verb, for example "wait".
`static LexiconEntry` | `createItrVerbThirdEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the third singular form of an intransitive verb, for example "waits".
`static LexiconEntry` | `createMeasureNounPlEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the plural form of a measurement noun, for example "miles", "km".
`static LexiconEntry` | `createMeasureNounSgEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the singular form of a measurement noun, for example "mile", "km".
`static LexiconEntry` | `createNounMassEntry(java.lang.String wordForm, java.lang.String symbol, Gender gender)` Creates a new lexicon entry that defines a mass noun, for example "money".
`static LexiconEntry` | `createNounPlEntry(java.lang.String wordForm, java.lang.String symbol, Gender gender)` Creates a new lexicon entry that defines the plural form of a countable noun, for example "countries".
`static LexiconEntry` | `createNounSgEntry(java.lang.String wordForm, java.lang.String symbol, Gender gender)` Creates a new lexicon entry that defines the singular form of a countable noun, for example "country".
`static LexiconEntry` | `createPrepEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines a preposition, for example "for".
`static LexiconEntry` | `createPropernameDefPlEntry(java.lang.String wordForm, java.lang.String symbol, Gender gender)` Creates a new lexicon entry that defines a plural proper name to be used with the definite article "the", for example "the United-Nations".
`static LexiconEntry` | `createPropernameDefSgEntry(java.lang.String wordForm, java.lang.String symbol, Gender gender)` Creates a new lexicon entry that defines a singular proper name to be used with the definite article "the", for example "the Nile".
`static LexiconEntry` | `createPropernamePlEntry(java.lang.String wordForm, java.lang.String symbol, Gender gender)` Creates a new lexicon entry that defines a plural proper name, for example "United-States".
`static LexiconEntry` | `createPropernameSgEntry(java.lang.String wordForm, java.lang.String symbol, Gender gender)` Creates a new lexicon entry that defines a singular proper name, for example "Switzerland".
`static LexiconEntry` | `createTrAdjCompEntry(java.lang.String wordForm, java.lang.String symbol, java.lang.String preposition)` Creates a new lexicon entry that defines the comparative form of a transitive adjective, for example "fonder-of".
`static LexiconEntry` | `createTrAdjEntry(java.lang.String wordForm, java.lang.String symbol, java.lang.String preposition)` Creates a new lexicon entry that defines the positive form of a transitive adjective, for example "fond-of".
`static LexiconEntry` | `createTrAdjSupEntry(java.lang.String wordForm, java.lang.String symbol, java.lang.String preposition)` Creates a new lexicon entry that defines the superlative form of a transitive adjective, for example "fondest-of".
`static LexiconEntry` | `createTrVerbInfEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the bare infinitive form of a transitive verb, for example "contain".
`static LexiconEntry` | `createTrVerbPPEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the past participle form of a transitive verb, for example "contained".
`static LexiconEntry` | `createTrVerbThirdEntry(java.lang.String wordForm, java.lang.String symbol)` Creates a new lexicon entry that defines the third singular form of a transitive verb, for example "contains".
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `toString()` Returns the plain text serialization for this lexicon entry.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createAdvEntry

    public static LexiconEntry createAdvEntry(java.lang.String wordForm,
                                              java.lang.String symbol)

  Creates a new lexicon entry that defines the positive form of an adverb, for example "manually" or "fast".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createAdvCompEntry

    public static LexiconEntry createAdvCompEntry(java.lang.String wordForm,
                                                  java.lang.String symbol)

  Creates a new lexicon entry that defines the comparative form of an adverb, for example "faster".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createAdvSupEntry

    public static LexiconEntry createAdvSupEntry(java.lang.String wordForm,
                                                 java.lang.String symbol)

  Creates a new lexicon entry that defines the superlative form of an adverb, for example "fastest".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createAdjEntry

    public static LexiconEntry createAdjEntry(java.lang.String wordForm,
                                              java.lang.String symbol)

  Creates a new lexicon entry that defines the positive form of an adjective, for example "rich".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createAdjCompEntry

    public static LexiconEntry createAdjCompEntry(java.lang.String wordForm,
                                                  java.lang.String symbol)

  Creates a new lexicon entry that defines the comparative form of an adjective, for example "richer".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createAdjSupEntry

    public static LexiconEntry createAdjSupEntry(java.lang.String wordForm,
                                                 java.lang.String symbol)

  Creates a new lexicon entry that defines the superlative form of an adjective, for example "richest".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createTrAdjEntry

    public static LexiconEntry createTrAdjEntry(java.lang.String wordForm,
                                                java.lang.String symbol,
                                                java.lang.String preposition)

  Creates a new lexicon entry that defines the positive form of a transitive adjective, for example "fond-of".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `preposition` - The preposition of the transitive adjective, for example "of" in the case of "fond-of".
  Returns:
    The new lexicon entry.

### createTrAdjCompEntry

    public static LexiconEntry createTrAdjCompEntry(java.lang.String wordForm,
                                                    java.lang.String symbol,
                                                    java.lang.String preposition)

  Creates a new lexicon entry that defines the comparative form of a transitive adjective, for example "fonder-of".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `preposition` - The preposition of the transitive adjective, for example "of" in the case of "fonder-of".
  Returns:
    The new lexicon entry.

### createTrAdjSupEntry

    public static LexiconEntry createTrAdjSupEntry(java.lang.String wordForm,
                                                   java.lang.String symbol,
                                                   java.lang.String preposition)

  Creates a new lexicon entry that defines the superlative form of a transitive adjective, for example "fondest-of".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `preposition` - The preposition of the transitive adjective, for example "of" in the case of "fondest-of".
  Returns:
    The new lexicon entry.

### createNounSgEntry

    public static LexiconEntry createNounSgEntry(java.lang.String wordForm,
                                                 java.lang.String symbol,
                                                 Gender gender)

  Creates a new lexicon entry that defines the singular form of a countable noun, for example "country".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `gender` - The gender of the noun.
  Returns:
    The new lexicon entry.

### createNounPlEntry

    public static LexiconEntry createNounPlEntry(java.lang.String wordForm,
                                                 java.lang.String symbol,
                                                 Gender gender)

  Creates a new lexicon entry that defines the plural form of a countable noun, for example "countries".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `gender` - The gender of the noun.
  Returns:
    The new lexicon entry.

### createNounMassEntry

    public static LexiconEntry createNounMassEntry(java.lang.String wordForm,
                                                   java.lang.String symbol,
                                                   Gender gender)

  Creates a new lexicon entry that defines a mass noun, for example "money".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `gender` - The gender of the noun.
  Returns:
    The new lexicon entry.

### createMeasureNounSgEntry

    public static LexiconEntry createMeasureNounSgEntry(java.lang.String wordForm,
                                                        java.lang.String symbol)

  Creates a new lexicon entry that defines the singular form of a measurement noun, for example "mile", "km".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createMeasureNounPlEntry

    public static LexiconEntry createMeasureNounPlEntry(java.lang.String wordForm,
                                                        java.lang.String symbol)

  Creates a new lexicon entry that defines the plural form of a measurement noun, for example "miles", "km".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createPropernameSgEntry

    public static LexiconEntry createPropernameSgEntry(java.lang.String wordForm,
                                                       java.lang.String symbol,
                                                       Gender gender)

  Creates a new lexicon entry that defines a singular proper name, for example "Switzerland".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `gender` - The gender of the proper name.
  Returns:
    The new lexicon entry.

### createPropernamePlEntry

    public static LexiconEntry createPropernamePlEntry(java.lang.String wordForm,
                                                       java.lang.String symbol,
                                                       Gender gender)

  Creates a new lexicon entry that defines a plural proper name, for example "United-States".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `gender` - The gender of the proper name.
  Returns:
    The new lexicon entry.

### createPropernameDefSgEntry

    public static LexiconEntry createPropernameDefSgEntry(java.lang.String wordForm,
                                                          java.lang.String symbol,
                                                          Gender gender)

  Creates a new lexicon entry that defines a singular proper name to be used with the definite article "the", for example "the Nile".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `gender` - The gender of the proper name.
  Returns:
    The new lexicon entry.

### createPropernameDefPlEntry

    public static LexiconEntry createPropernameDefPlEntry(java.lang.String wordForm,
                                                          java.lang.String symbol,
                                                          Gender gender)

  Creates a new lexicon entry that defines a plural proper name to be used with the definite article "the", for example "the United-Nations".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `gender` - The gender of the proper name.
  Returns:
    The new lexicon entry.

### createItrVerbThirdEntry

    public static LexiconEntry createItrVerbThirdEntry(java.lang.String wordForm,
                                                       java.lang.String symbol)

  Creates a new lexicon entry that defines the third singular form of an intransitive verb, for example "waits".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createItrVerbInfEntry

    public static LexiconEntry createItrVerbInfEntry(java.lang.String wordForm,
                                                     java.lang.String symbol)

  Creates a new lexicon entry that defines the bare infinitive form of an intransitive verb, for example "wait".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createTrVerbThirdEntry

    public static LexiconEntry createTrVerbThirdEntry(java.lang.String wordForm,
                                                      java.lang.String symbol)

  Creates a new lexicon entry that defines the third singular form of a transitive verb, for example "contains".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createTrVerbInfEntry

    public static LexiconEntry createTrVerbInfEntry(java.lang.String wordForm,
                                                    java.lang.String symbol)

  Creates a new lexicon entry that defines the bare infinitive form of a transitive verb, for example "contain".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createTrVerbPPEntry

    public static LexiconEntry createTrVerbPPEntry(java.lang.String wordForm,
                                                   java.lang.String symbol)

  Creates a new lexicon entry that defines the past participle form of a transitive verb, for example "contained".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### createDitrVerbThirdEntry

    public static LexiconEntry createDitrVerbThirdEntry(java.lang.String wordForm,
                                                        java.lang.String symbol,
                                                        java.lang.String preposition)

  Creates a new lexicon entry that defines the third singular form of a ditransitive verb, for example "gives".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `preposition` - The preposition for the indirect object.
  Returns:
    The new lexicon entry.

### createDitrVerbInfEntry

    public static LexiconEntry createDitrVerbInfEntry(java.lang.String wordForm,
                                                      java.lang.String symbol,
                                                      java.lang.String preposition)

  Creates a new lexicon entry that defines the bare infinitive form of a ditransitive verb, for example "give".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `preposition` - The preposition for the indirect object.
  Returns:
    The new lexicon entry.

### createDitrVerbPPEntry

    public static LexiconEntry createDitrVerbPPEntry(java.lang.String wordForm,
                                                     java.lang.String symbol,
                                                     java.lang.String preposition)

  Creates a new lexicon entry that defines the past participle form of a ditransitive verb, for example "given".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
    `preposition` - The preposition for the indirect object.
  Returns:
    The new lexicon entry.

### createPrepEntry

    public static LexiconEntry createPrepEntry(java.lang.String wordForm,
                                               java.lang.String symbol)

  Creates a new lexicon entry that defines a preposition, for example "for".

  Parameters:
    `wordForm` - The word form how it should appear in the ACE texts.
    `symbol` - The symbol how it should appear in the logical representations.
  Returns:
    The new lexicon entry.

### toString

    public java.lang.String toString()

  Returns the plain text serialization for this lexicon entry.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The plain text serialization for this lexicon entry.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)